summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Caterino Tommaso, T.O.P <marav8@free.fr>2023-04-09 00:55:20 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-15 07:15:20 +0700
commit82f852b861ce6aeb3d2717e8c3c4e8c416117a3d (patch)
tree3be969a0a9b18e8f92497acbce9c0075dab003e3
parent6e2b28a4357d71c8143b0dcbb7fa6dcecf1a4ff4 (diff)
downloadslackbuilds-82f852b861ce6aeb3d2717e8c3c4e8c416117a3d.tar.gz
slackbuilds-82f852b861ce6aeb3d2717e8c3c4e8c416117a3d.tar.xz
system/ibus-typing-booster: Added (completion input method)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/ibus-typing-booster/README4
-rw-r--r--system/ibus-typing-booster/doinst.sh15
-rw-r--r--system/ibus-typing-booster/ibus-typing-booster.SlackBuild108
-rw-r--r--system/ibus-typing-booster/ibus-typing-booster.info10
-rw-r--r--system/ibus-typing-booster/slack-desc19
5 files changed, 156 insertions, 0 deletions
diff --git a/system/ibus-typing-booster/README b/system/ibus-typing-booster/README
new file mode 100644
index 0000000000..fde71cbe68
--- /dev/null
+++ b/system/ibus-typing-booster/README
@@ -0,0 +1,4 @@
+ibus-typing-booster
+
+ibus-typing-booster is a completion input method for faster typing
+
diff --git a/system/ibus-typing-booster/doinst.sh b/system/ibus-typing-booster/doinst.sh
new file mode 100644
index 0000000000..dd06849d42
--- /dev/null
+++ b/system/ibus-typing-booster/doinst.sh
@@ -0,0 +1,15 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x usr/bin/gtk-update-icon-cache ]; then
+ chroot . /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/system/ibus-typing-booster/ibus-typing-booster.SlackBuild b/system/ibus-typing-booster/ibus-typing-booster.SlackBuild
new file mode 100644
index 0000000000..d38220cca0
--- /dev/null
+++ b/system/ibus-typing-booster/ibus-typing-booster.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Copyright 2023 marav, FR
+# Caterino Tommaso, T.O.P., US
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ibus-typing-booster
+VERSION=${VERSION:-2.22.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# Fix interpreter
+sed -i "s|/usr\(/bin/sh\)|\1|" {engine,setup}/*.in
+
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sbindir=/sbin \
+ --libexecdir=/usr/lib${LIBDIRSUFFIX}/ibus \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux || exit 1
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/ibus-typing-booster/ibus-typing-booster.info b/system/ibus-typing-booster/ibus-typing-booster.info
new file mode 100644
index 0000000000..3ae6fd6f8c
--- /dev/null
+++ b/system/ibus-typing-booster/ibus-typing-booster.info
@@ -0,0 +1,10 @@
+PRGNAM="ibus-typing-booster"
+VERSION="2.22.1"
+HOMEPAGE="https://github.com/mike-fabian/ibus-typing-booster"
+DOWNLOAD="https://github.com/mike-fabian/ibus-typing-booster/releases/download/2.22.1/ibus-typing-booster-2.22.1.tar.gz"
+MD5SUM="2c186e24d18b4908978b06f48e5c53dc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="pyenchant"
+MAINTAINER="Caterino Tommaso, T.O.P."
+EMAIL="marav8@free.fr"
diff --git a/system/ibus-typing-booster/slack-desc b/system/ibus-typing-booster/slack-desc
new file mode 100644
index 0000000000..2d20f1cbfe
--- /dev/null
+++ b/system/ibus-typing-booster/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ibus-typing-booster: ibus-typing-booster (completion input method)
+ibus-typing-booster:
+ibus-typing-booster: ibus-typing-booster is a completion input method for faster typing
+ibus-typing-booster:
+ibus-typing-booster:
+ibus-typing-booster:
+ibus-typing-booster:
+ibus-typing-booster:
+ibus-typing-booster: Homepage: https://github.com/mike-fabian/ibus-typing-booster
+ibus-typing-booster:
+ibus-typing-booster: